Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Interface usmStatsConstants

public interface usmStatsConstants

This interface contains the OIDs for the usmStats variables. These variables are returned with the SNMPv3 usm security model when an error occurs. They are part of the SNMP-USER-BASED-SM-MIB mib.

Version:
  $Revision: 3.7 $ $Date: 2006/03/23 14:54:10 $
Author:
  Birgit Arkesteijn
See Also:
  `SnmpContextv3`

Field Summary
`static java.lang.String` | `usmStatsDecryptionErrors` The total number of packets received by the SNMP engine which were dropped because they could not be decrypted.
`static java.lang.String` | `usmStatsNotInTimeWindows` The total number of packets received by the SNMP engine which were dropped because they appeared outside of the authoritative SNMP engine's window.
`static java.lang.String[]` | `usmStatsOids` The array with all the usmStats dotted OIDs in it.
`static java.lang.String[]` | `usmStatsStrings` The array with all the usmStats verbal OIDs in it.
`static java.lang.String` | `usmStatsUnknownEngineIDs` The total number of packets received by the SNMP engine which were dropped because they referenced an snmpEngineID that was not known to the SNMP engine.
`static java.lang.String` | `usmStatsUnknownUserNames` The total number of packets received by the SNMP engine which were dropped because they referenced a user that was not known to the SNMP engine.
`static java.lang.String` | `usmStatsUnsupportedSecLevels` The total number of packets received by the SNMP engine which were dropped because they requested a securityLevel that was unknown to the SNMP engine or otherwise unavailable.
`static java.lang.String` | `usmStatsWrongDigests` The total number of packets received by the SNMP engine which were dropped because they didn't contain the expected digest value.
`static java.lang.String` | `version_id`

Field Detail

### version_id

    public static final java.lang.String version_id

See Also:
  Constant Field Values

### usmStatsUnsupportedSecLevels

    public static final java.lang.String usmStatsUnsupportedSecLevels

  The total number of packets received by the SNMP engine which were dropped because they requested a securityLevel that was unknown to the SNMP engine or otherwise unavailable.

  See Also:
    Constant Field Values

### usmStatsNotInTimeWindows

    public static final java.lang.String usmStatsNotInTimeWindows

  The total number of packets received by the SNMP engine which were dropped because they appeared outside of the authoritative SNMP engine's window.

  See Also:
    Constant Field Values

### usmStatsUnknownUserNames

    public static final java.lang.String usmStatsUnknownUserNames

  The total number of packets received by the SNMP engine which were dropped because they referenced a user that was not known to the SNMP engine.

  See Also:
    Constant Field Values

### usmStatsUnknownEngineIDs

    public static final java.lang.String usmStatsUnknownEngineIDs

  The total number of packets received by the SNMP engine which were dropped because they referenced an snmpEngineID that was not known to the SNMP engine.

  See Also:
    Constant Field Values

### usmStatsWrongDigests

    public static final java.lang.String usmStatsWrongDigests

  The total number of packets received by the SNMP engine which were dropped because they didn't contain the expected digest value.

  See Also:
    Constant Field Values

### usmStatsDecryptionErrors

    public static final java.lang.String usmStatsDecryptionErrors

  The total number of packets received by the SNMP engine which were dropped because they could not be decrypted.

  See Also:
    Constant Field Values

### usmStatsOids

    public static final java.lang.String[] usmStatsOids

  The array with all the usmStats dotted OIDs in it.

### usmStatsStrings

    public static final java.lang.String[] usmStatsStrings

  The array with all the usmStats verbal OIDs in it.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD